Gtk_Progress(3)

NAME - Gtk_Progress

HEADER REQUIRED
#include <gtk--/progress.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_ProgressBar(3)

PROPERTIES

adjustment
    Type: GtkAdjustment*

offscreen_pixmap
    Type: GdkPixmap*

format
    Type: string

x_align
    Type: gfloat

y_align
    Type: gfloat

show_text
    Type: guint:1

activity_mode
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_Progress(GtkProgress *castitem);
    void  set_show_text(bool show_text);
    void  set_text_alignment(gfloat x_align, gfloat y_align);
    void  set_format_string(const string &format);
    void  set_adjustment(const Gtk_Adjustment &adjustment);
    void  configure(gfloat value, gfloat min, gfloat max);
    void  set_percentage(gfloat percentage);
    void  set_value(gfloat value);
    gfloat  get_value() const;
    void  set_activity_mode(bool activity_mode);
    string  get_current_text() const;
    string  get_text_from_value(gfloat value) const;
    gfloat  get_current_percentage() const;
    gfloat  get_percentage_from_value(gfloat value) const;
    signal void  paint(BaseObjectType);
    signal void  update(BaseObjectType);
    signal void  act_mode_enter(BaseObjectType);
    GtkProgress*  gtkobj();
    const GtkProgress*  gtkobj() const;
    static bool  isGtkProgress(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkProgress  BaseObjectType;
    typedef GtkProgressClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  paint_impl();
    virtual void  update_impl();
    virtual void  act_mode_enter_impl();

PRIVATE MEMBER INDEX
    static CppClassType  progress_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS